Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcfilesync
Class ThreadPoolImpl

    java.lang.Object
      |
      +--com.bea.wlcfilesync.ThreadPoolImpl

Deprecated. `ThreadPoolImpl` Thread Pool implementation class.

public class ThreadPoolImpl
extends java.lang.Object
implements ThreadPool

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`ThreadPoolImpl(java.util.Properties props)` Deprecated. Constructs ThreadPoolImpl object

Method Summary
`void` | `addJob(java.lang.Runnable job)` Deprecated. This method helps to add jobs which use existing threads available from thread pool else creates a new one and starts the job.
`Stats` | `getStats()` Deprecated. This method helps to get thread pool statistics

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadPoolImpl

    public ThreadPoolImpl(java.util.Properties props)
                   throws java.lang.NumberFormatException,
                          java.lang.IllegalArgumentException

  Deprecated.

  Constructs ThreadPoolImpl object

  Parameters:
    ``props`` - propeties read from XML config file

Method Detail

### addJob

    public void addJob(java.lang.Runnable job)

  Deprecated.

  This method helps to add jobs which use existing threads available from thread pool else creates a new one and starts the job.

  Specified by:
    addJob in interface ThreadPool

  Parameters:
    ``job`` - job to perform file sync operation

### getStats

    public Stats getStats()

  Deprecated.

  This method helps to get thread pool statistics

  Specified by:
    getStats in interface ThreadPool

  Returns:
    `Stats` Stats object provides snapshot of thread pool statistics.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)